Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::concepts::Function Struct Reference
Utility » Concepts

## Public Types
template<typename Fun , typename... Args>
using | result_t = decltype(val< Fun >()(val< Args >()...))

## Public Member Functions
template<typename Fun , typename... Args>
auto | requires_ (Fun &&fun, Args &&...args) -> decltype( concepts::valid_expr( concepts::model_of< CopyConstructible, uncvref_t< Fun >>(), ((void) val< Fun >()(val< Args >()...), 42) ))